# Class AbstractTypeVisitor7<R,P>

java.lang.Object
javax.lang.model.util.AbstractTypeVisitor6<R,P>
javax.lang.model.util.AbstractTypeVisitor7<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `TypeVisitor<R,P>`

Direct Known Subclasses:
  `AbstractTypeVisitor8`

@SupportedSourceVersion(RELEASE_7) public abstract class AbstractTypeVisitor7<R,P> extends AbstractTypeVisitor6<R,P>
A skeletal visitor of types with default behavior appropriate for the `RELEASE_7` source version.

Since:
  1.7
See Also:
  - Compatibility note for subclasses
  - `AbstractTypeVisitor6`
  - `AbstractTypeVisitor8`
  - `AbstractTypeVisitor9`
  - `AbstractTypeVisitor14`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractTypeVisitor7()`
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.

## Method Summary

Modifier and Type
Method
Description
`abstract R`
`visitUnion(UnionType t, P p)`
Visits a `UnionType` in a manner defined by a subclass.

### Methods declared in class javax.lang.model.util.AbstractTypeVisitor6

`visit, visit, visitIntersection, visitUnknown`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.lang.model.type.TypeVisitor

`visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

## Constructor Details

### AbstractTypeVisitor7

@Deprecated(since="12") protected AbstractTypeVisitor7()
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.
Constructor for concrete subclasses to call.

## Method Details

### visitUnion

public abstract R visitUnion(UnionType t, P p)
Visits a `UnionType` in a manner defined by a subclass.

Specified by:
  `visitUnion` in interface `TypeVisitor<R,P>`
Overrides:
  `visitUnion` in class `AbstractTypeVisitor6<R,P>`
Parameters:
  `t` - the type to visit
  `p` - a visitor-specified parameter
Returns:
  the result of the visit as defined by a subclass